Skip to main content
POST
/
api
/
v2
/
network
/
affiliates
/
{affiliate_id}
/
postbacks
Create postback
curl --request POST \
  --url 'https://{domain}/api/v2/network/affiliates/{affiliate_id}/postbacks?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "affiliate_id": 1,
  "level_id": 1,
  "type": 1,
  "code": "string",
  "status": 1,
  "url": "https://example.com",
  "events": [
    "string"
  ],
  "offer_id": 1,
  "goal_id": 1
}
'
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Path Parameters

affiliate_id
integer
required

Affiliate ID.

Body

application/json
affiliate_id
integer
required

Affiliate ID. Must be in body even though it's in URL path.

level_id
integer
required

Postback level: 1=global, 2=offer, 3=goal.

type
integer
required

Postback type: 1=server, 2=iframe, 3=image.

code
string
required

Event code. E.g. "all" for all events.

status
integer
required

Status: 1=active, 2=disabled.

url
string

Postback URL with optional macros.

events
string[]

Events to trigger postback on.

offer_id
integer

Filter by offer (0=all offers).

goal_id
integer

Filter by goal (0=all goals).

Response

Created postback.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object